=== debian/changelog ===
lilyterm (0.9.9.4-4) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * Bump Standards-Version to 3.9.6
  * Update Vcs-*

  [ Wei-Cheng Pan (潘韋成) ]
  * Fix hard-coded Firefox as browser (Closes: #794961)

 -- ChangZhuo Chen (陳昌倬) <czchen@gmail.com>  Tue, 11 Aug 2015 21:15:57 +0800

lilyterm (0.9.9.4-3) unstable; urgency=medium

  * Fix wrong locale file name (Closes: #757080)

 -- ChangZhuo Chen (陳昌倬) <czchen@gmail.com>  Tue, 05 Aug 2014 20:03:01 +0800

lilyterm (0.9.9.4-2) unstable; urgency=medium

  * Add Vcs information
  * Provides: x-terminal-emulator.
    Thanks to Charles Malaheenee (Closes: #756609)
  * Add libgtk2.0-dev as Build-Depends

 -- ChangZhuo Chen (陳昌倬) <czchen@gmail.com>  Fri, 01 Aug 2014 19:46:13 +0800

lilyterm (0.9.9.4-1) unstable; urgency=low

  * Initial release (Closes: #752406)

 -- ChangZhuo Chen (陳昌倬) <czchen@gmail.com>  Thu, 26 Jun 2014 19:22:03 +0800
