## lilyterm 0.9.9.4%2Bgit20150208.f600c0

=== debian/changelog ===
lilyterm (0.9.9.4+git20150208.f600c0-5build1) jammy; urgency=medium

  * No-change rebuild against latest gdk-pixbuf

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 09 Mar 2022 18:52:41 -0500

lilyterm (0.9.9.4+git20150208.f600c0-5) unstable; urgency=medium

  * Merge upstream commit to fix empty environment variable in new tabs
    (Closes: #825928).
  * Bump compat to 10.
  * Update Vcs-Browser.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 22 Jan 2017 20:12:04 +0800

lilyterm (0.9.9.4+git20150208.f600c0-4) unstable; urgency=medium

  * Make the build reproducible.
    Thanks to Chris Lamb (Closes: #835376)
  * Bump Standards-Version to 3.9.8.
  * Update Vcs-* fields.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 24 Oct 2016 18:52:52 +0800

lilyterm (0.9.9.4+git20150208.f600c0-3) unstable; urgency=medium

  * Fix wrong version in dbg to dbgsym migration.
  * Don't install COPYING.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 26 Dec 2015 01:29:06 +0800

lilyterm (0.9.9.4+git20150208.f600c0-2) unstable; urgency=medium

  * Remove lilyterm-dbg in favor of dbgsym.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 21 Dec 2015 22:04:18 +0800

lilyterm (0.9.9.4+git20150208.f600c0-1) unstable; urgency=medium

  [ Yao-Po Wang ]
  * Non-maintainer upload
  * let the lilyterm support libvte-2.91 (Closes: #790181)
  * Integrate upstream up to f600c086
  * Remove 0001-Fix-hard-coded-URL-handlers.patch, locale.patch, and
    manpage-minus.patch that all included in current source.

  [ ChangZhuo Chen (陳昌倬) ]
  * Fix debian/rules.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 28 Nov 2015 02:20:55 +0800
