=== debian/changelog ===
lilyterm (0.9.9.4+git20150208.f600c0-5build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:51:14 +1100

lilyterm (0.9.9.4+git20150208.f600c0-5build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:33:50 +0000
