=== debian/control ===
Source: lilyterm
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Build-Depends: debhelper (>= 10),
               autotools-dev,
               dh-autoreconf,
               gettext,
               intltool,
               libvte-2.91-dev,
               libgtk-3-dev,
Standards-Version: 3.9.8
Homepage: http://lilyterm.luna.com.tw/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/lilyterm.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/lilyterm.git

Package: lilyterm
Provides: x-terminal-emulator
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Light and eazy-to-use terminal emulator for X
 LilyTerm is a terminal emulator for the X Window System, based on the libvte
 library, and aims to be fast and lightweight.
 .
 LilyTerm features the ability to use multiple terminals in a single window and
 customize key binding.
