=== debian/watch ===
version=3
https://github.com/Tetralet/LilyTerm/releases .*/[vV]?(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
